Bug 480084 - Upgrade of rhel4.6 FV (xen) guest with kmod-xenpv to 4.7 or later will create wrong xen-*.ko dependencies in modules.dep
Upgrade of rhel4.6 FV (xen) guest with kmod-xenpv to 4.7 or later will create...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xenpv-kmod (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: 4.7.z
Assigned To: Don Dutile
Virtualization Bugs
: ZStream
Depends On:
Blocks: 517493 517494
  Show dependency treegraph
 
Reported: 2009-01-14 18:15 EST by Don Dutile
Modified: 2012-06-20 12:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to xenpv-kmodtool for RHEL4 kmod-xenpv pkg (443 bytes, patch)
2009-07-28 17:56 EDT, Don Dutile
no flags Details | Diff

  None (edit)
Description Don Dutile 2009-01-14 18:15:45 EST
Description of problem:
If a rhel4.6 fully-virtualized guest that also has the (asynch) xenpv kmod installed is upgraded to rhel4.7 or later, the module dependencies in /lib/modules/<rhel4.7>/modules.dep for xen-vbd.ko and xen-vnif.ko will be incorrect.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install a RHEL4.6 FV guest on xen-based rhel5 dom0 system
2. Boot up rhel4.6 FV guest & add xenpv kmod pkg to rhel4.6 FV guest
3. Upgrade/add/install RHEL4.7 kernel pkg to rhel4.6 FV installation
  
Actual results:
xen-vbd.ko and xen-vnif.ko dependencies will be pointing to old, 
xenpv kmod xen-platform-pci.ko (under weak-updates directory).
These modules should be dependent on the xen-platform-pci.ko that
is now included in rhel4.7 (& beyond).

Expected results:
Proper dependencies as explained above.

Additional info:

Solution: Upgrade the m-i-t pkg in rhel4.6 guest *first* to the rhel4.7 (or greater) version.
But, xenpv kmod pkg has an rpm Requires on rhel4.6 modversions pkg;
the latter pkg is Obsoleted by the rhel4.7 m-i-t pkg since modversions is included in 4.7 m-i-t (and has the bug fix for this problem).  Thus, trying to
solely update the m-i-t package can't succeed unless the xenpv kmod pkg
dependency/Requires is changed.
So, need to change the xenpv kmod pkg to rhel4.7's m-i-t package and
*remove* the modversions Requires.
Then, an update of both packages can be done, after which, an upgrade
to rhel4.7 (or later) with xenpv drivers will create a proper set of
dependencies in modules.dep, and all work correctly.
NOTE: this is only a problem with updates, not fresh installs,
       and the rhel4 system must also have the xenpv kmod pkg installed as well.
Comment 3 Don Dutile 2009-07-28 17:56:58 EDT
Created attachment 355469 [details]
Patch to xenpv-kmodtool for RHEL4 kmod-xenpv pkg
Comment 4 Don Dutile 2009-07-28 17:58:08 EDT
Should add, brew build:
https://brewweb.devel.redhat.com/taskinfo?taskID=1896382
Comment 8 RHEL Product and Program Management 2012-02-08 02:01:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jiri Pallich 2012-06-20 12:05:23 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.